## mdevctl 0.50

=== Makefile ===
PREFIX=/usr
UDEVDIR=$(shell pkg-config --variable=udevdir udev)
UNITDIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)
SBINDIR=$(PREFIX)/sbin
CONFDIR=/etc/mdevctl.d
MANDIR=$(PREFIX)/share/man
NAME=mdevctl
VERSION=0.$(shell git rev-list --count HEAD)
NVFMT=$(NAME)-$(VERSION)

files: mdevctl mdev@.service 60-mdevctl.rules mdevctl.8 \
	Makefile COPYING README.md mdevctl.spec.in

archive: files tag mdevctl.spec
	git archive --prefix=$(NVFMT)/ HEAD > $(NVFMT).tar
	gzip -f -9 $(NVFMT).tar

mdevctl.spec: mdevctl.spec.in files
	sed -e 's:#VERSION#:$(VERSION):g' < mdevctl.spec.in > mdevctl.spec
	PREV=""; \
	for TAG in `git tag --sort=version:refname | tac`; do \
	    if [ -n "$$PREV" ]; then \
	    git log --format="- %h (\"%s\")" $$TAG..$$PREV >> mdevctl.spec; \
	    fi; \
	    git log -1 --format="%n* %cd %aN <%ae> - $$TAG-1" --date="format:%a %b %d %Y" $$TAG >> mdevctl.spec; \
	    PREV=$$TAG; \
	done; \
	git log --format="- %h (\"%s\")" $$TAG >> mdevctl.spec

srpm: mdevctl.spec archive
	rpmbuild -bs --define "_sourcedir $(PWD)" --define "_specdir $(PWD)" --define "_builddir $(PWD)" --define "_srcrpmdir $(PWD)" --define "_rpmdir $(PWD)" mdevctl.spec

rpm: mdevctl.spec archive
	rpmbuild -bb --define "_sourcedir $(PWD)" --define "_specdir $(PWD)" --define "_builddir $(PWD)" --define "_srcrpmdir $(PWD)" --define "_rpmdir $(PWD)" mdevctl.spec

install:
	mkdir -p $(DESTDIR)$(CONFDIR)
	mkdir -p $(DESTDIR)$(UDEVDIR)/rules.d/
	install -m 644 60-mdevctl.rules $(DESTDIR)$(UDEVDIR)/rules.d/
	mkdir -p $(DESTDIR)$(UNITDIR)
	install -m 644 mdev@.service $(DESTDIR)$(UNITDIR)/
	mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 mdevctl $(DESTDIR)$(SBINDIR)/
	ln -s mdevctl $(DESTDIR)$(SBINDIR)/lsmdev
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 mdevctl.8 $(DESTDIR)$(MANDIR)/man8/

clean:
	rm -f mdevctl.spec *.src.rpm noarch/*.rpm *.tar.gz

tag:
	git tag -l $(VERSION) | grep -q $(VERSION) || git tag $(VERSION)

=== debian/changelog ===
mdevctl (0.50-1) unstable; urgency=low

  * Initial release. Closes: #945230
    - d/*: initial packaging based on the template out of debmake

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Nov 2019 12:36:24 +0100

## mdevctl 0.59

=== debian/changelog ===
mdevctl (0.59-1) unstable; urgency=medium

  * new upstream release 0.59
    The biggest change is the drop of the systemd support in favor of
    full support of the now fixed udev approach
    - Drop lsmdev-man-page.patch being accepted upstream

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 10 Dec 2019 11:46:47 +0100

=== debian/control ===
Source: mdevctl
Section: admin
Priority: optional
Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12),
               pkg-config,
               systemd,
               udev,
Standards-Version: 4.4.1
Homepage: https://github.com/mdevctl/mdevctl
Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

Package: mdevctl
Architecture: all
Multi-Arch: foreign
Depends: jq,
         udev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Mediated device management utility for Linux
 mdevctl is a utility for managing and persisting devices in the mediated
 device framework of the Linux kernel. Mediated devices are sub-devices
 of a parent device (ex. a vGPU) which can be dynamically created and
 potentially used by drivers like vfio-mdev for assignment to virtual machines.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## mdevctl 0.61

=== debian/changelog ===
mdevctl (0.61-1) unstable; urgency=medium

  * new upstream release 0.61

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 28 Jul 2020 15:43:41 +0200

## mdevctl 0.69

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 PREFIX=/usr
 UDEVDIR=$(shell pkg-config --variable=udevdir udev)
-UNITDIR=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 SBINDIR=$(PREFIX)/sbin
 CONFDIR=/etc/mdevctl.d
 MANDIR=$(PREFIX)/share/man
@@ -8,14 +7,14 @@
 VERSION=0.$(shell git rev-list --count HEAD)
 NVFMT=$(NAME)-$(VERSION)
 
-files: mdevctl mdev@.service 60-mdevctl.rules mdevctl.8 \
+files: mdevctl 60-mdevctl.rules mdevctl.8 \
 	Makefile COPYING README.md mdevctl.spec.in
 
-archive: files tag mdevctl.spec
+archive: files mdevctl.spec
 	git archive --prefix=$(NVFMT)/ HEAD > $(NVFMT).tar
 	gzip -f -9 $(NVFMT).tar
 
-mdevctl.spec: mdevctl.spec.in files
+mdevctl.spec: tag mdevctl.spec.in files
 	sed -e 's:#VERSION#:$(VERSION):g' < mdevctl.spec.in > mdevctl.spec
 	PREV=""; \
 	for TAG in `git tag --sort=version:refname | tac`; do \
@@ -37,13 +36,12 @@
 	mkdir -p $(DESTDIR)$(CONFDIR)
 	mkdir -p $(DESTDIR)$(UDEVDIR)/rules.d/
 	install -m 644 60-mdevctl.rules $(DESTDIR)$(UDEVDIR)/rules.d/
-	mkdir -p $(DESTDIR)$(UNITDIR)
-	install -m 644 mdev@.service $(DESTDIR)$(UNITDIR)/
 	mkdir -p $(DESTDIR)$(SBINDIR)
 	install -m 755 mdevctl $(DESTDIR)$(SBINDIR)/
-	ln -s mdevctl $(DESTDIR)$(SBINDIR)/lsmdev
+	ln -sf mdevctl $(DESTDIR)$(SBINDIR)/lsmdev
 	mkdir -p $(DESTDIR)$(MANDIR)/man8
 	install -m 644 mdevctl.8 $(DESTDIR)$(MANDIR)/man8/
+	ln -sf mdevctl.8  $(DESTDIR)$(MANDIR)/man8/lsmdev.8
 
 clean:
 	rm -f mdevctl.spec *.src.rpm noarch/*.rpm *.tar.gz

=== debian/changelog ===
mdevctl (0.69-1) unstable; urgency=medium

  * new upstream release 0.69

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Sep 2020 09:41:13 +0200

## mdevctl 0.78

=== debian/changelog ===
mdevctl (0.78-1) unstable; urgency=medium

  * new upstream release 0.78
    - drop d/p/debianize-paths.patch now being accepted upstream
    - d/control: bump standards version to 4.5.1 [no changes needed]
    - d/control, d/compat: Set debhelper-compat version in Build-Depends

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Nov 2020 08:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                systemd,
                udev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/mdevctl/mdevctl
 Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
 Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

## mdevctl 0.81

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,10 @@
 CONFDIR=/etc/mdevctl.d
 MANDIR=$(PREFIX)/share/man
 NAME=mdevctl
-VERSION=0.$(shell git rev-list --count HEAD)
-NVFMT=$(NAME)-$(VERSION)
+MDEVCTL_VER=$(shell ./mdevctl version)
+REVLIST_VER=0.$(shell git rev-list --count HEAD)
+NEXT_VER=0.$(shell echo $$(( $(shell git rev-list --count HEAD) + 1 )) )
+NVFMT=$(NAME)-$(REVLIST_VER)
 
 files: mdevctl 60-mdevctl.rules mdevctl.8 \
 	Makefile COPYING README.md mdevctl.spec.in
@@ -15,9 +17,9 @@
 	gzip -f -9 $(NVFMT).tar
 
 mdevctl.spec: tag mdevctl.spec.in files
-	sed -e 's:#VERSION#:$(VERSION):g' < mdevctl.spec.in > mdevctl.spec
+	sed -e 's:#VERSION#:$(shell ./mdevctl version):g' < mdevctl.spec.in > mdevctl.spec
 	PREV=""; \
-	for TAG in `git tag --sort=version:refname | tac`; do \
+	for TAG in `git tag --sort=version:refname --merged | tac`; do \
 	    if [ -n "$$PREV" ]; then \
 	    git log --format="- %h (\"%s\")" $$TAG..$$PREV >> mdevctl.spec; \
 	    fi; \
@@ -47,4 +49,4 @@
 	rm -f mdevctl.spec *.src.rpm noarch/*.rpm *.tar.gz
 
 tag:
-	git tag -l $(VERSION) | grep -q $(VERSION) || git tag $(VERSION)
+	[ $(MDEVCTL_VER) == $(REVLIST_VER) ] || (sed -i "s/^version=.*/version=\"$(NEXT_VER)\"/" mdevctl && git add mdevctl && git commit -m "Automatic version commit for tag $(NEXT_VER)" && git tag $(NEXT_VER))

=== debian/changelog ===
mdevctl (0.81-1) unstable; urgency=medium

  * Merge new upstream 0.81
    - Fixes combined use of -p and json (Closes: #990535)
  * d/control: bump to compat level 13 (no changes needed)
  * d/source/local-options: remove (currently) unused files

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Jul 2021 16:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                systemd,
                udev,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mdevctl-$1\.tar\.gz/ \
  https://github.com/mdevctl/mdevctl/tags .*/v?(\d\S+)\.tar\.gz

## mdevctl 1.2.0

=== debian/changelog ===
mdevctl (1.2.0-1ubuntu1) kinetic; urgency=medium

  * d/watch: introduce vendor component with bundled dependencies.
  * vendor: unpack vendorized sources.
  * d/p/series: drop dependency version tweaks in favor of vendorized
    dependencies.
  * d/README.source: include information on uscan's Multiple Upstream
    Tarball (MUT) support for the vendorized code.
  * Ship Cargo lockfile to provide data on the vendorized code:
    - d/config.toml: provide a custom Cargo configuration to generate
      a lockfile from the vendorized dependencies.
    - d/install: ship the build-time generated lockfile.
  * d/copyright: include vendorized projects copyright data.
  * d/control: remove librust-uuid B-D. This is now vendorized in this
    package and the new librust-uuid version in kinetic is currently
    incompatible.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 11 Aug 2022 11:54:53 -0300

mdevctl (1.2.0-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Update Standards-Version (no changes needed)
  * d/copyright: update packaging copyright dates
  * d/rules: override tests to work for vendored dependencies too
    [Debian no-op]
  * d/rules: generate lockfile for vendored deps
    [Debian no-op]

  [ Christian Ehrhardt ]
  * New upstream version 1.2.0
  * d/control: adapt dependencies for 1.2.0
  * d/p/lower-versions-for-unstable.patch: adapt dependencies to Debian archive
  * Use upstream makefile for installation
    Upstream maintains a makefile that is generated out of the cargo build.
    Using that ensures we pick up any future changes more easily.
    In addition this will
    - properly install udev rules
    - add further subdirs of /etc/mdevctl.d
    - add lsmdev mapping
    - adds bash completion files
    - we no more need to maintain .dirs & .install files for the same
  * d/p/main-binary-already-installed.patch: avoid a vonflict between
    dh-cargo and the generated upstream makefile
  * d/p/main-binary-already-installed.patch: also place lsmdev correctly

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Aug 2022 13:24:25 +0200

mdevctl (1.1.0-2) unstable; urgency=medium

  [ Automated Janitor ]
  * Remove constraints unnecessary since buster

  [ Athos Ribeiro ]
  * d/control: depend on librust-uuid+rand-dev for v4 (Closes: #1013551)
  * d/rules: use vendorized dependencies for Ubuntu builds
    [easens their life, while being a no-op for Debian]

  [ Christian Ehrhardt ]
  * d/mdevctl.dirs: add /etc/mdevctl.d no more created by upstream
    (Closes: #1003777)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Jul 2022 11:11:53 +0200

mdevctl (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    - fixes FTBFS in regard to env_logger (Closes: #998600)
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/control: use substvars provided by dh-cargo
  * d/p/lower-versions-for-unstable.patch: update for 1.1.0
  * d/control: librust-env-logger+default-dev now is new enough
  * d/p/tempfile-for-tempdir.patch: applied upstream
  * d/install: install man page

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Nov 2021 14:42:49 +0100

mdevctl (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/control, d/rules: switch to rust build as specified upstream
  * d/control: lower versioned dependencies to what is available in
    unstable
  * d/control: with rust mdevctl is arch:any now
  * d/cargo-checksum.json: stub for cargo-checksum
  * d/p/lower-versions-for-unstable.patch: lower required dependency
    versions to match unstable
  * d/p/tempfile-for-tempdir.patch: tempfile replaced tempdir
  * d/control: add tempfile as replacement for the unavailbale tempdir lib
  * d/control: use librust-serde-json+indexmap-dev to resolve implicit
    indexmap dependencies
  * d/control: runtime dependencies not needed for non-libraries
  * d/control: librust-tempfile-dev only needed for tests, add <!nocheck>

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Jul 2021 12:55:04 +0200

=== debian/control ===
Source: mdevctl
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Rules-Requires-Root: no
Build-Depends: cargo,
               debhelper-compat (= 13),
               dh-cargo,
               librust-anyhow-dev (>= 1.0.0),
               librust-env-logger+default-dev,
               librust-log+serde-dev,
               librust-serde-json+indexmap-dev,
               librust-clap-derive-dev (>= 3.0.7),
               librust-clap-complete-dev (>= 3.0.6),
               librust-clap+strsim-dev,
               librust-tempfile-dev (>= 3.1.0) <!nocheck>,
               pkg-config,
               python3-docutils,
               systemd,
               udev,
Standards-Version: 4.6.1
Homepage: https://github.com/mdevctl/mdevctl
Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

Package: mdevctl
Architecture: any
Multi-Arch: foreign
Depends: udev,
         ${misc:Depends},
         ${shlibs:Depends},
         ${cargo:Depends},
Recommends: ${cargo:Recommends},
Suggests: ${cargo:Suggests},
Provides: ${cargo:Provides},
Built-Using: ${cargo:Built-Using},
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Mediated device management utility for Linux
 mdevctl is a utility for managing and persisting devices in the mediated
 device framework of the Linux kernel. Mediated devices are sub-devices
 of a parent device (ex. a vGPU) which can be dynamically created and
 potentially used by drivers like vfio-mdev for assignment to virtual machines.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export RUST_BACKTRACE=full

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/vendor.mk

%:
	dh $@ --buildsystem cargo

execute_after_dh_auto_configure:
ifeq ($(DEB_VENDOR),Ubuntu)
	rm -rf debian/cargo_registry/*
	for d in vendor/*; do \
		ln -rs $$d debian/cargo_registry; \
	done
	CARGO_HOME=debian /usr/share/cargo/bin/cargo generate-lockfile --offline
	rm -rf debian/.package-cache
else
	rm -rf vendor
endif

# After being built with cargo this leaves a Makefile around to get everything
# into the right places. Run that to have files in place
execute_before_dh_install:
	make install DESTDIR=debian/mdevctl

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_VENDOR),Ubuntu)
	CARGO_HOME=debian /usr/share/cargo/bin/cargo test --offline
else
	dh_auto_test $@
endif
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mdevctl-$1\.tar\.gz/ \
  https://github.com/mdevctl/mdevctl/releases/latest .*/v@ANY_VERSION@\.tar\.gz debian
opts=component=vendor \
  https://github.com/mdevctl/mdevctl/releases/latest .*/@PACKAGE@@ANY_VERSION@-vendor\.tar\.gz ignore

## mdevctl 1.3.0

=== debian/changelog ===
mdevctl (1.3.0-1ubuntu2.1) noble; urgency=medium

  * d/p/main-binary-already-installed.patch: adjust binary path in udev rules
    (LP: #2121264)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 08 Sep 2025 16:38:16 +0200

mdevctl (1.3.0-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:12:09 +0200

mdevctl (1.3.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040398). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
  * Dropped changes:
    - d/p/series: drop Debian uuid version adjustment patch in favor of
      the vendorized version of the dependency.
      [ Fixed in the upstream project in version 1.3.0 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 16 Feb 2024 11:30:49 -0300

mdevctl (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/p/Update-uuid-version.patch: remove patch applied upstream
  * d/p/move-tempfile-to-dev-dependencies.patch: remove patch applied upstream
  * d/patches: refresh patches
  * d/control: adjust dependencies for new release
  * d/p/lower-versions-for-unstable.patch: remove clap adjustments. Upstream
    now uses clap v4, which is the current version in Debian
  * d/control: replace pkg-config with pkgconf. The former is just a
    transitional package for the latter. Using it triggers a lintian warning

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 06 Feb 2024 12:06:52 -0300

mdevctl (1.2.0-7) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: switch systemd/udev B-Ds to systemd-dev

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 08 Jan 2024 08:45:28 +0100

mdevctl (1.2.0-6) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/p/move-tempfile-to-dev-dependencies.patch: fix build with nocheck
    (Closes: #1059036)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 04 Jan 2024 09:41:37 +0100

mdevctl (1.2.0-5) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: pin env_logger B-D required version (Closes: 1054157)

  [ Christian Ehrhardt ]
  * d/control: Add Athos Ribeiro to uploaders - Thank you for all the great
    contributions so far!

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 23 Oct 2023 10:21:00 +0200

mdevctl (1.2.0-4) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/control: bump Standards-Version to 4.6.2 (no changes needed)
  * d/patches: adjust env_logger dependency version (Closes: #1050521)
  * d/rules: run test suite during package build

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 04 Sep 2023 16:46:19 +0200

mdevctl (1.2.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993417). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
  * Dropped changes:
    - d/control: remove librust-uuid B-D. This is now vendorized in this
      package and the new librust-uuid version in kinetic is currently
      incompatible.
      [ Fixed in 1.2.0-2 ]
  * New changes:
    - d/p/series: drop Debian uuid version adjustment patch in favor of
      the vendorized version of the dependency.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 26 Jan 2023 10:30:13 -0300

mdevctl (1.2.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Update Debian dependencies on clap related packages to reflrect cargo
    dependencies (Closes: #1028655). Thanks to Peter Micheal Green for
    the report and suggested changes.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2023 13:37:16 +0100

mdevctl (1.2.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Update uuid version to 1.0 (Closes: #1017369)
    Thanks to Peter Micheal Green for the report, taking the upstream
    accepted commit landed by Athos Ribeiro to solve this.
    - d/p/Update-uuid-version.patch new patch from upstream to work with
      uuid 1.0
    - d/p/lower-versions-for-unstable.patch: updated as we no more need to
      lower uuid

  [ Peter Micheal Green ]
  * d/control: switch uuid dependency to librust-uuid-1+v4-dev
  * d/rules: Fix clean target

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Sep 2022 10:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Ehrhardt <christian.ehrhardt@canonical.com>
+Uploaders: Athos Ribeiro <athos.ribeiro@canonical.com>
 Rules-Requires-Root: no
 Build-Depends: cargo,
                debhelper-compat (= 13),
                dh-cargo,
                librust-anyhow-dev (>= 1.0.0),
-               librust-env-logger+default-dev,
+               librust-env-logger-0.10.0+default-dev,
                librust-log+serde-dev,
                librust-serde-json+indexmap-dev,
-               librust-clap-derive-dev (>= 3.0.7),
-               librust-clap-complete-dev (>= 3.0.6),
-               librust-clap+strsim-dev,
+               librust-clap+derive-dev (>= 4.0),
+               librust-clap-complete-dev (>= 4.0),
+               librust-nix-dev <!nocheck>,
                librust-tempfile-dev (>= 3.1.0) <!nocheck>,
-               pkg-config,
+               librust-uuid-1+v4-dev,
+               pkgconf,
                python3-docutils,
-               systemd,
-               udev,
-Standards-Version: 4.6.1
+               systemd-dev,
+Standards-Version: 4.6.2
 Homepage: https://github.com/mdevctl/mdevctl
 Vcs-Git: https://salsa.debian.org/debian/mdevctl.git
 Vcs-Browser: https://salsa.debian.org/debian/mdevctl/tree/debian/master

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 ifeq ($(DEB_VENDOR),Ubuntu)
 	CARGO_HOME=debian /usr/share/cargo/bin/cargo test --offline
 else
-	dh_auto_test $@
+	dh_auto_test -- test
 endif
 endif
+
+execute_after_dh_auto_clean:
+	rm -f mdevctl.spec Makefile

## mdevctl 1.4.0

=== debian/changelog ===
mdevctl (1.4.0-1ubuntu2) questing; urgency=medium

  * adjust binary install locations (LP: #2121264)
    - d/rules: move mdevctl to /usr/sbin
    - d/p/main-binary-already-installed: link /usr/bin/lsmdev to
      /usr/sbin/mdevctl

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 08 Sep 2025 16:41:10 +0200

mdevctl (1.4.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085250). Remaining changes:
    - d/watch: introduce vendor component with bundled dependencies.
    - vendor: unpack vendorized sources.
    - d/p/series: drop dependency version tweaks in favor of vendorized
      dependencies.
    - d/README.source: include information on uscan's Multiple Upstream
      Tarball (MUT) support for the vendorized code.
    - Ship Cargo lockfile to provide data on the vendorized code:
      + d/config.toml: provide a custom Cargo configuration to generate
        a lockfile from the vendorized dependencies.
      + d/install: ship the build-time generated lockfile.
    - d/copyright: include vendorized projects copyright data.
    - d/control,d/rules: add vendored dependency tags and enforce the
      check. Also remove all the Debian Rust packages from B-D

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 20 Feb 2025 09:54:57 -0300

mdevctl (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 19 Feb 2025 14:37:07 -0300

mdevctl (1.3.0-3) unstable; urgency=medium

  * d/gbp.conf: add initial gbp.conf file
  * d/control: bump env_logger B-D version (Closes: #1091226)
  * d/p/lower-versions-for-unstable.patch: adjust required versions
  * d/copyright: update copyright information
  * debian/patches/nix-0.27.patch: add DEP-3 header

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 02 Jan 2025 14:30:12 -0300

mdevctl (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Relax cargo dev-dependency on nix crate and explicitly enable the
    "process" feature for compatibility with nix 0.27. (Closes: #1064552)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 16:42:16 +0000

mdevctl (1.3.0-2) unstable; urgency=medium

  * d/control:
    - bump env_logger B-D version (Closes: #1068941)
    - bump Standards-Version to 4.7.0

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 16 Apr 2024 10:59:16 -0300

mdevctl (1.3.0-1ubuntu4) oracular; urgency=medium

  * d/control,d/rules: add vendored dependency tags and enforce the check
    also remove all the Debian Rust packages from B-D

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 03 Jul 2024 11:26:05 -0600

mdevctl (1.3.0-1ubuntu3) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:42:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,15 +15,21 @@
 		ln -rs $$d debian/cargo_registry; \
 	done
 	CARGO_HOME=debian /usr/share/cargo/bin/cargo generate-lockfile --offline
+	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
 	rm -rf debian/.package-cache
 else
 	rm -rf vendor
 endif
 
-# After being built with cargo this leaves a Makefile around to get everything
-# into the right places. Run that to have files in place
+# dh_cargo install builds and installs the binary to /usr/bin
+# the generated Makefile installs supplementary files
 execute_before_dh_install:
 	make install DESTDIR=debian/mdevctl
+
+# move the binary to /usr/sbin
+execute_after_dh_install:
+	mkdir -p debian/mdevctl/usr/sbin
+	mv debian/mdevctl/usr/bin/mdevctl debian/mdevctl/usr/sbin
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain \
  https://api.github.com/repos/mdevctl/mdevctl/releases?per_page=100 \
  https://api.github.com/repos/mdevctl/mdevctl/tarball/@ANY_VERSION@ debian
opts=component=vendor,searchmode=plain \
  https://api.github.com/repos/mdevctl/mdevctl/releases?per_page=100 \
  https://github.com/mdevctl/mdevctl/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@-vendor@ARCHIVE_EXT@ ignore
